package com.example.administrator.zhapp.entity;

import android.os.Parcel;
import android.os.Parcelable;

import java.util.List;

/**
 * Created by Rehome-rjb1 on 2017/7/17.
 * 定期工作
 */

public class XsDqGzZxListBean {


    /**
     * state : 1
     * msg : 查询成功
     * data : [{"jhid":"JH00000000061","zxid":"ZX00000000061","jhmc":"测试1","jhlx":"51","jhzq":"8","st":"2017/7/17 11:00:00","et":"2017/7/17 19:00:00","wczt":"0","ljds":"0","jhds":"16","zc":"12108020202","iswsc":"1"},{"jhid":"JH00000000062","zxid":"ZX00000000062","jhmc":"test2","jhlx":"51","jhzq":"8","st":"2017/7/17 11:00:00","et":"2017/7/17 19:00:00","wczt":"0","ljds":"0","jhds":"19","zc":"12108020202","iswsc":"1"}]
     */

    private int state;
    private String msg;
    private List<DataBean> data;

    public int getState() {
        return state;
    }

    public void setState(int state) {
        this.state = state;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    public List<DataBean> getData() {
        return data;
    }

    public void setData(List<DataBean> data) {
        this.data = data;
    }

    public static class DataBean implements Parcelable {
        /**
         * jhid : JH00000000061
         * zxid : ZX00000000061
         * jhmc : 测试1
         * jhlx : 51
         * jhzq : 8
         * st : 2017/7/17 11:00:00
         * et : 2017/7/17 19:00:00
         * wczt : 0
         * ljds : 0
         * jhds : 16
         * zc : 12108020202
         * iswsc : 1
         */

        private String jhid;
        private String jhmc;
        private String jhms;
        private String zxid;
        private String zxzt;
        private String zxqk;
        private String czwt;
        private String zxbz;
        private String zxr;
        private String zxsj;
        private String zxst;
        private String zxet;
        private String zxztmc;


        public String getJhid() {
            return jhid;
        }

        public void setJhid(String jhid) {
            this.jhid = jhid;
        }

        public String getJhmc() {
            return jhmc;
        }

        public void setJhmc(String jhmc) {
            this.jhmc = jhmc;
        }

        public String getJhms() {
            return jhms;
        }

        public void setJhms(String jhms) {
            this.jhms = jhms;
        }

        public String getZxid() {
            return zxid;
        }

        public void setZxid(String zxid) {
            this.zxid = zxid;
        }

        public String getZxzt() {
            return zxzt;
        }

        public void setZxzt(String zxzt) {
            this.zxzt = zxzt;
        }

        public String getZxqk() {
            return zxqk;
        }

        public void setZxqk(String zxqk) {
            this.zxqk = zxqk;
        }

        public String getCzwt() {
            return czwt;
        }

        public void setCzwt(String czwt) {
            this.czwt = czwt;
        }

        public String getZxbz() {
            return zxbz;
        }

        public void setZxbz(String zxbz) {
            this.zxbz = zxbz;
        }

        public String getZxr() {
            return zxr;
        }

        public void setZxr(String zxr) {
            this.zxr = zxr;
        }

        public String getZxsj() {
            return zxsj;
        }

        public void setZxsj(String zxsj) {
            this.zxsj = zxsj;
        }

        public String getZxst() {
            return zxst;
        }

        public void setZxst(String zxst) {
            this.zxst = zxst;
        }

        public String getZxet() {
            return zxet;
        }

        public void setZxet(String zxet) {
            this.zxet = zxet;
        }

        public String getZxztmc() {
            return zxztmc;
        }

        public void setZxztmc(String zxztmc) {
            this.zxztmc = zxztmc;
        }

        @Override
        public int describeContents() {
            return 0;
        }

        @Override
        public void writeToParcel(Parcel dest, int flags) {
            dest.writeString(this.jhid);
            dest.writeString(this.jhmc);
            dest.writeString(this.jhms);
            dest.writeString(this.zxid);
            dest.writeString(this.zxzt);
            dest.writeString(this.zxqk);
            dest.writeString(this.czwt);
            dest.writeString(this.zxbz);
            dest.writeString(this.zxr);
            dest.writeString(this.zxsj);
            dest.writeString(this.zxst);
            dest.writeString(this.zxet);
            dest.writeString(this.zxztmc);
        }

        public DataBean() {
        }

        protected DataBean(Parcel in) {
            this.jhid = in.readString();
            this.jhmc = in.readString();
            this.jhms = in.readString();
            this.zxid = in.readString();
            this.zxzt = in.readString();
            this.zxqk = in.readString();
            this.czwt = in.readString();
            this.zxbz = in.readString();
            this.zxr = in.readString();
            this.zxsj = in.readString();
            this.zxst = in.readString();
            this.zxet = in.readString();
            this.zxztmc = in.readString();
        }

        public static final Creator<DataBean> CREATOR = new Creator<DataBean>() {
            @Override
            public DataBean createFromParcel(Parcel source) {
                return new DataBean(source);
            }

            @Override
            public DataBean[] newArray(int size) {
                return new DataBean[size];
            }
        };
    }
}
